Summary: The GNU libtool, which simplifies the use of shared libraries.
Name: libtool
Version: 1.3.4
Release: 2mdk
Copyright: GPL
Group: Development/Other
Source: ftp://alpha.gnu.org/gnu/libtool-%{version}.tar.bz2
Patch0: libtool-1.3.2-arm.patch.bz2
Patch1: libtool-1.2f-cache.patch.bz2
Prefix: %{_prefix}
PreReq: /sbin/install-info
BuildRoot: %{_tmppath}/%{name}-%{version}-build

%description
The libtool package contains the GNU libtool, a set of shell scripts
which automatically configure UNIX and UNIX-like architectures to
generically build shared libraries.  Libtool provides a consistent,
portable interface which simplifies the process of using shared
libraries.

If you are developing programs which will use shared libraries, you
should install libtool.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1

%build
%configure --prefix=%{_prefix}
make -k -C doc
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}
make prefix=${RPM_BUILD_ROOT}%{_prefix} install

cd $RPM_BUILD_ROOT
  bzip2 -9f .%{_prefix}/info/*.info*
# XXX remove zero length file
  rm -f .%{_prefix}/share/libtool/libltdl/stamp-h.in
# XXX forcibly break hardlinks
  mv .%{_prefix}/share/libtool/libltdl .%{_prefix}/share/libtool/libltdl-X
  mkdir .%{_prefix}/share/libtool/libltdl
  cp .%{_prefix}/share/libtool/libltdl-X/* .%{_prefix}/share/libtool/libltdl
  rm -rf .%{_prefix}/share/libtool/libltdl-X

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_prefix}/info/libtool.info.bz2 %{_prefix}/info/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_prefix}/info/libtool.info.bz2 %{_prefix}/info/dir
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%doc THANKS TODO ChangeLog demo
%{_prefix}/bin/*
%{_prefix}/info/libtool.info*
%{_prefix}/share/libtool
%{_prefix}/share/aclocal/libtool.m4

%changelog
* Wed Apr  5 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 1.3.4-2mdk
- updated BuildRoot
- group new Development/Other

* Thu Jan 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.4-1mdk
- 1.3.4.

* Wed Dec  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release.

* Sun Nov 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Mon Oct 25 1999  Jeff Garzik  <jgarzik@pobox.com>
- Import RedHat 6.1 spec
- s/gzip/bzip2/ for info documentation

* Thu Jul 15 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.3.

* Mon Jun 14 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.2.

* Tue May 11 1999 Jeff Johnson <jbj@redhat.com>
- explicitly disable per-arch libraries (#2210)
- undo hard links and remove zero length file (#2689)

* Sat May  1 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- disable the --cache-file passing to ltconfig; this breaks the older
  ltconfig scripts found around.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.2f

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- completed arm patch
- added patch to make it more arm-friendly
- upgrade to version 1.2d

* Thu May 07 1998 Donnie Barnes <djb@redhat.com>
- fixed busted group

* Sat Jan 24 1998 Marc Ewing <marc@redhat.com>
- Update to 1.0h
- added install-info support

* Tue Nov 25 1997 Elliot Lee <sopwith@redhat.com>
- Update to 1.0f
- BuildRoot it
- Make it a noarch package
